# If you experience issues with default SNA (e.g. pixelated graphics, corrupt text, etc.), try using UXA instead, which can be done by adding the following line to your configuration file:
{% if ansible_hostname == 'ninjabot' %}
Section "Device"
  Identifier "Intel Graphics"
  Driver "intel"
  # Option "AccelMethod"  "sna"
  Option "TearFree" "true"
  Option "TripleBuffer" "true"
  BusID "PCI:0:2:0"
EndSection
{% else %}
{% if ansible_hostname == 'lapbot' %}
Section "Device"
  Identifier "Intel Graphics"
  Driver "intel"
  # Option "AccelMethod"  "sna"
  Option "TearFree" "true"
  Option "TripleBuffer" "true"
EndSection
{% else %}
Section "Device"
  Identifier "Intel Graphics"
  Driver "modesetting"
  Option "AccelMethod"    "glamor"
  Option "TearFree" "true"
EndSection
{% endif %}
{% endif %}
